from retab import Retab
client = Retab()
client.workflows.tests.delete(
test_id="wfnodetest_hsLEQiM61ez9Piv147MWk",
)
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
await client.workflows.tests.delete("wfnodetest_hsLEQiM61ez9Piv147MWk");
package main
import (
"context"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func ptr[T any](v T) *T { return &v }
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
if err := client.Workflows.Tests.Delete(ctx, "wfnodetest_hsLEQiM61ez9Piv147MWk"); err != nil {
log.Fatal(err)
}
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
client.workflow_tests.delete(test_id: 'wfnodetest_hsLEQiM61ez9Piv147MWk')
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
client
.workflows()
.tests()
.delete("wfnodetest_hsLEQiM61ez9Piv147MWk")
.await?;
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$client->workflowTests()->delete(
testId: 'test_abc123',
);
echo "Deleted\n";
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
await client.Workflows.Tests.DeleteAsync("test_abc123");
Console.WriteLine("Deleted");
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var result = client.workflows().tests().delete("test_abc123");
System.out.println(result);
}
}
curl -X 'DELETE' \
'https://api.retab.com/v1/workflows/tests/wfnodetest_hsLEQiM61ez9Piv147MWk' \
-H 'Authorization: Bearer <your-api-key>'
HTTP/1.1 204 No Content
{
"detail": "Workflow test not found: wfnodetest_hsLEQiM61ez9Piv147MWk"
}
Tests
Delete Workflow Test
Delete a workflow test.
Identified by test_id. Returns 204 on success and 404 if no test with
that ID exists.
DELETE
/
v1
/
workflows
/
tests
/
{test_id}
from retab import Retab
client = Retab()
client.workflows.tests.delete(
test_id="wfnodetest_hsLEQiM61ez9Piv147MWk",
)
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
await client.workflows.tests.delete("wfnodetest_hsLEQiM61ez9Piv147MWk");
package main
import (
"context"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func ptr[T any](v T) *T { return &v }
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
if err := client.Workflows.Tests.Delete(ctx, "wfnodetest_hsLEQiM61ez9Piv147MWk"); err != nil {
log.Fatal(err)
}
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
client.workflow_tests.delete(test_id: 'wfnodetest_hsLEQiM61ez9Piv147MWk')
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
client
.workflows()
.tests()
.delete("wfnodetest_hsLEQiM61ez9Piv147MWk")
.await?;
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$client->workflowTests()->delete(
testId: 'test_abc123',
);
echo "Deleted\n";
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
await client.Workflows.Tests.DeleteAsync("test_abc123");
Console.WriteLine("Deleted");
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var result = client.workflows().tests().delete("test_abc123");
System.out.println(result);
}
}
curl -X 'DELETE' \
'https://api.retab.com/v1/workflows/tests/wfnodetest_hsLEQiM61ez9Piv147MWk' \
-H 'Authorization: Bearer <your-api-key>'
HTTP/1.1 204 No Content
{
"detail": "Workflow test not found: wfnodetest_hsLEQiM61ez9Piv147MWk"
}
Delete a workflow test. Returns 204 on success. Run records associated with the
deleted test are kept in the run-records collection (they remain queryable by
run_record_id if you cached one) but no longer surface from the test’s runs
endpoint.
from retab import Retab
client = Retab()
client.workflows.tests.delete(
test_id="wfnodetest_hsLEQiM61ez9Piv147MWk",
)
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
await client.workflows.tests.delete("wfnodetest_hsLEQiM61ez9Piv147MWk");
package main
import (
"context"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func ptr[T any](v T) *T { return &v }
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
if err := client.Workflows.Tests.Delete(ctx, "wfnodetest_hsLEQiM61ez9Piv147MWk"); err != nil {
log.Fatal(err)
}
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
client.workflow_tests.delete(test_id: 'wfnodetest_hsLEQiM61ez9Piv147MWk')
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
client
.workflows()
.tests()
.delete("wfnodetest_hsLEQiM61ez9Piv147MWk")
.await?;
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$client->workflowTests()->delete(
testId: 'test_abc123',
);
echo "Deleted\n";
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
await client.Workflows.Tests.DeleteAsync("test_abc123");
Console.WriteLine("Deleted");
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var result = client.workflows().tests().delete("test_abc123");
System.out.println(result);
}
}
curl -X 'DELETE' \
'https://api.retab.com/v1/workflows/tests/wfnodetest_hsLEQiM61ez9Piv147MWk' \
-H 'Authorization: Bearer <your-api-key>'
HTTP/1.1 204 No Content
{
"detail": "Workflow test not found: wfnodetest_hsLEQiM61ez9Piv147MWk"
}
⌘I